javax.jdo

## Class JDOFatalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jdo.JDOException
        - - javax.jdo.JDOFatalException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    JDOFatalDataStoreException, JDOFatalInternalException, JDOFatalUserException

      public class JDOFatalException
      extends JDOException

  This class represents exceptions that are fatal; that is, the condition that caused it cannot be bypassed even if the operation is retried.
  Version:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDOFatalException()` Constructs a new `JDOFatalException` without a detail message.
    `JDOFatalException(String msg)` Constructs a new `JDOFatalException` with the specified detail message.
    `JDOFatalException(String msg, Object failed)` Constructs a new `JDOFatalException` with the specified detail message and failed object.
    `JDOFatalException(String msg, Throwable nested)` Constructs a new `JDOFatalException` with the specified detail message and nested `Throwable`s.
    `JDOFatalException(String msg, Throwable[] nested)` Constructs a new `JDOFatalException` with the specified detail message and nested `Throwable`s.
    `JDOFatalException(String msg, Throwable[] nested, Object failed)` Constructs a new `JDOFatalException` with the specified detail message, nested `Throwable`s, and failed object.
    `JDOFatalException(String msg, Throwable nested, Object failed)` Constructs a new `JDOFatalException` with the specified detail message, nested `Throwable`s, and failed object.

  - ### Method Summary

    - ### Methods inherited from class javax.jdo.JDOException

      `getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDOFatalException

          public JDOFatalException()

      Constructs a new `JDOFatalException` without a detail message.

    - #### JDOFatalException

          public JDOFatalException(String msg)

      Constructs a new `JDOFatalException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

    - #### JDOFatalException

          public JDOFatalException(String msg,
                                   Throwable[] nested)

      Constructs a new `JDOFatalException` with the specified detail message and nested `Throwable`s.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable[]`.

    - #### JDOFatalException

          public JDOFatalException(String msg,
                                   Throwable nested)

      Constructs a new `JDOFatalException` with the specified detail message and nested `Throwable`s.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable`.

    - #### JDOFatalException

          public JDOFatalException(String msg,
                                   Object failed)

      Constructs a new `JDOFatalException` with the specified detail message and failed object.
      Parameters:
        `msg` - the detail message.
        `failed` - the failed object.

    - #### JDOFatalException

          public JDOFatalException(String msg,
                                   Throwable[] nested,
                                   Object failed)

      Constructs a new `JDOFatalException` with the specified detail message, nested `Throwable`s, and failed object.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable[]`.
        `failed` - the failed object.

    - #### JDOFatalException

          public JDOFatalException(String msg,
                                   Throwable nested,
                                   Object failed)

      Constructs a new `JDOFatalException` with the specified detail message, nested `Throwable`s, and failed object.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable`.
        `failed` - the failed object.

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.